List business unit economics models
curl --request GET \
--url https://api.nops.io/v1/business-unit-economics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nops.io/v1/business-unit-economics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nops.io/v1/business-unit-economics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/business-unit-economics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"records": [
{
"id": 5,
"explorerReportId": "report-1",
"explorerReportName": "Spend by Service",
"unitId": 3,
"unit": "Customers",
"startDate": "2026-01-01",
"selectedDate": "2026-06-01",
"granularity": "month"
}
]
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Business unit economics
List business unit economics models
GET
https://api.nops.io
/
v1
/
business-unit-economics
List business unit economics models
curl --request GET \
--url https://api.nops.io/v1/business-unit-economics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nops.io/v1/business-unit-economics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nops.io/v1/business-unit-economics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/business-unit-economics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"records": [
{
"id": 5,
"explorerReportId": "report-1",
"explorerReportName": "Spend by Service",
"unitId": 3,
"unit": "Customers",
"startDate": "2026-01-01",
"selectedDate": "2026-06-01",
"granularity": "month"
}
]
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Authorizations
API key from Settings → Security → API Keys. Pass as Authorization: Bearer YOUR_API_KEY.
Query Parameters
Maximum items to return (1–200, default 50).
Required range:
1 <= x <= 200Opaque cursor from a previous response's pagination.next_cursor.
Was this page helpful?
⌘I